## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum RecoveryPolicy

    public enum RecoveryPolicy

implements object

  RecoveryPolicy is an enumeration of the different actions that can be taken when a "recoverable error" occurs

Field Summary
`` | `RecoverSilently` Ignore the error, take the recovery action, do not produce any message
`` | `RecoverWithWarnings` Take the recovery action after outputting a warning message
`` | `DoNotRecover` Treat the error as fatal

Field Detail

### RecoverSilently

    public  RecoverSilently

  Ignore the error, take the recovery action, do not produce any message

### RecoverWithWarnings

    public  RecoverWithWarnings

  Take the recovery action after outputting a warning message

### DoNotRecover

    public  DoNotRecover

  Treat the error as fatal